1 Reply Latest reply on Sep 6, 2012 10:41 AM by Akram Ben Aissi

    Maven and wsconsume

    Scott Guilbeaux Newbie

      I'm porting our application to AS 7 and am trying to use the wsconsume maven plugin to generate the client code. When I use the plugin I recieve the following class not found error.

       

      Error while running wsconsume: org.jboss.wsf.spi.tools.WSContractConsumer

       

      My plugin section looks like this.

       

      {code.xml}

      <plugin>

         <groupId>org.jboss.ws.plugins</groupId>

         <artifactId>maven-jaxws-tools-plugin</artifactId>

         <version>1.0.1.GA</version>

         <configuration>

           <wsdls>

             <wsdl>src/main/resource/wsdl/test.wsdl</wsdl>

           </wsdls>

         </configuration>

        <executions>

          <execution>

            <goals>

              <goal>wsconsume</goal>

            </goals>

          </execution>

        </executions>

      </plugin>

      {code}

       

      Has anyone gotten anything working like this against AS 7?

        • 1. Re: Maven and wsconsume
          Akram Ben Aissi Newbie

          Quite an old question, but hope this help:

           

          You must strictly stick to some versions of the following dependencies.

          Here is the configuration that I am using:

           

          <jbossws-native-core.version>3.2.2.GA</jbossws-native-core.version>
          <maven-jaxws-tools-plugin.version>1.1.0.GA</maven-jaxws-tools-plugin.version>
          <jbossxb.version>2.0.1.GA</jbossxb.version>
          <jbossws-native-client.version>4.0.0.GA</jbossws-native-client.version>
          <wstx-asl.version>3.2.1</wstx-asl.version>
          
          
          <plugin>
                    <groupId>org.jboss.ws.plugins</groupId>
                    <artifactId>maven-jaxws-tools-plugin</artifactId>
                    <version>${maven-jaxws-tools-plugin.version}</version>
                    <dependencies>
                      <dependency>
                        <groupId>org.jboss.ws.native</groupId>
                        <artifactId>jbossws-native-core</artifactId>
                        <version>${jbossws-native-core.version}</version>
                        <exclusions>
                          <exclusion>
                            <groupId>wscommons-policy</groupId>
                            <artifactId>policy</artifactId>
                          </exclusion>
                          <exclusion>
                            <groupId>woodstox</groupId>
                            <artifactId>wstx-asl</artifactId>
                          </exclusion>
                        </exclusions>
                      </dependency>
                      <dependency>
                        <groupId>org.codehaus.woodstox</groupId>
                        <artifactId>wstx-asl</artifactId>
                        <version>${wstx-asl.version}</version>
                      </dependency>
                    </dependencies>
                  </plugin>
          
          
          
            <!-- Additional dependencies -->
                <dependency>
                  <groupId>org.jboss</groupId>
                  <artifactId>jbossxb</artifactId>
                  <version>${jbossxb.version}</version>
                </dependency>
          
                <dependency>
                  <groupId>org.jboss.ws.native</groupId>
                  <artifactId>jbossws-native-client</artifactId>
                  <version>${jbossws-native-client.version}</version>
                  <exclusions>
                    <exclusion>
                      <groupId>wscommons-policy</groupId>
                      <artifactId>policy</artifactId>
                    </exclusion>
                    <exclusion>
                      <groupId>woodstox</groupId>
                      <artifactId>wstx-asl</artifactId>
                    </exclusion>
                    <exclusion>
                      <groupId>ws-commons</groupId>
                      <artifactId>policy</artifactId>
                    </exclusion>
                    <exclusion>
                      <artifactId>istack-commons-runtime</artifactId>
                      <groupId>com.sun.istack</groupId>
                    </exclusion>
                  </exclusions>
                </dependency>
          
                <dependency>
                  <groupId>org.codehaus.woodstox</groupId>
                  <artifactId>wstx-asl</artifactId>
                  <version>${wstx-asl.version}</version>
                  <scope>provided</scope>
                </dependency>